X2Go Bug report logs - #821
x2gomatebindings fails to install from RPM

version graph

Package: x2gomatebindings; Maintainer for x2gomatebindings is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gomatebindings is src:x2gomatebindings.

Reported by: Michael DePaulo <mikedep333@gmail.com>

Date: Tue, 17 Mar 2015 12:05:02 UTC

Severity: normal

Tags: pending

Found in version 0.0.1.3

Fixed in version 0.0.1.4

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#821; Package x2gomatebindings. (Tue, 17 Mar 2015 12:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 17 Mar 2015 12:05:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: "submit@bugs.x2go.org" <submit@bugs.x2go.org>
Subject: x2gomatebindings fails to install from RPM
Date: Tue, 17 Mar 2015 08:00:06 -0400
Package:x2gomatebindings
Version: 0.0.1.3

As reported by Matt1 on IRC, and reproduced by myself,
x2ogmatebindings fails to install on Fedora 21 (64-bit), and
presumably every other RPM-based distro:
http://pastebin.com/PUZ6Mgec

Error: Package:
x2gomatebindings-0.0.1.3-0.0x2go1.1.git20150211.160.main.fc20.x86_64
(x2go-releases)
           Requires: or


It appears to be due to line 31 in x2gomatebindings.spec:
Requires:       gtk2 or gtk3


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#821; Package x2gomatebindings. (Tue, 17 Mar 2015 12:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 17 Mar 2015 12:40:02 GMT) (full text, mbox, link).


Message #10 received at 821@bugs.x2go.org (full text, mbox, reply):

From: Mike DePaulo <mikedep333@gmail.com>
To: 821-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 821@bugs.x2go.org
Subject: X2Go issue (in src:x2gomatebindings) has been marked as pending for release
Date: Tue, 17 Mar 2015 13:36:37 +0100 (CET)
tag #821 pending
fixed #821 0.0.1.4
thanks

Hello,

X2Go issue #821 (src:x2gomatebindings) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gomatebindings.git;a=commitdiff;h=589edbf

The issue will most likely be fixed in src:x2gomatebindings (0.0.1.4).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 589edbf2b9d243f5a53163b4314870400d3630e5
Author: Mike DePaulo <mikedep333@gmail.com>
Date:   Tue Mar 17 08:36:28 2015 -0400

    Update changelog about bug #821

diff --git a/debian/changelog b/debian/changelog
index 6e237a0..ecf53d0 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,7 +3,7 @@ x2gomatebindings (0.0.1.4-0~x2go1) UNRELEASED; urgency=low
   [ Mike DePaulo ]
   * New upstream version (0.0.1.4):
     - Fix error when installing from an RPM built from the X2Go
-      project's .spec file:
+      project's .spec file (Fixes: #821):
       "Error: Package: x2gomatebinding ... Requires: or"
 
  -- X2Go Release Manager <git-admin@x2go.org>  Tue, 10 Feb 2015 23:48:43 +0100


Added tag(s) pending. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Tue, 17 Mar 2015 12:40:03 GMT) (full text, mbox, link).


Marked as fixed in versions 0.0.1.4. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Tue, 17 Mar 2015 12:40:03 GMT) (full text, mbox, link).


Message sent on to Michael DePaulo <mikedep333@gmail.com>:
Bug#821. (Tue, 17 Mar 2015 12:40:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#821; Package x2gomatebindings. (Wed, 18 Mar 2015 05:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 18 Mar 2015 05:05:01 GMT) (full text, mbox, link).


Message #22 received at 821@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: Michael DePaulo <mikedep333@gmail.com>, 821@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#821: x2gomatebindings fails to install from RPM
Date: Wed, 18 Mar 2015 06:00:17 +0100
[Message part 1 (text/plain, inline)]
On 17.03.2015 01:00 PM, Michael DePaulo wrote:
> It appears to be due to line 31 in x2gomatebindings.spec:
> Requires:       gtk2 or gtk3

"gtk2 or gtk3"? This sounds strange. Not only because it obviously
doesn't work, but also because x2gomatebindings ships a *library* which
links to GTK2. Even if the or-dependency would have worked, gtk3 as the
only installed package would have left x2gomatebindings (theoretically)
in a broken state.

Luckily, though, RPM automatically adds dependencies on other packages*
for libraries, by examining what libraries are being linked after
destrooting. Thus, gtk2 will always be pulled in automatically**.

The Requires: statement was semantically thus redundant in the best case
and incorrect/causing breakage in the worst case.



Mihai

*) this mechanism will not catch libraries loaded at run time via
dlopen() for instance. This is mostly used for modules. One example of
software making heavy usage of that is wine.
**) I'm making a mental note here to revisit this issue. While run time
dependencies are automatically added *for libraries*, BuildRequires
still need to be set correctly or building the package will fail.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#821; Package x2gomatebindings. (Sun, 20 Nov 2016 14:55:03 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 20 Nov 2016 14:55:03 GMT) (full text, mbox, link).


Message #27 received at 821@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 821-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 821@bugs.x2go.org
Subject: X2Go issue (in src:x2gomatebindings) has been marked as closed
Date: Sun, 20 Nov 2016 08:20:35 +0100 (CET)
close #821
thanks

Hello,

we are very hopeful that X2Go issue #821 reported by you
has been resolved in the new release (0.0.1.4) of the
X2Go source project »src:x2gomatebindings«.

You can view the complete changelog entry of src:x2gomatebindings (0.0.1.4)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gomatebindings.

    http://code.x2go.org/gitweb?p=x2gomatebindings.git;a=commitdiff;h=f353abe4bbce0a6da150a6fc43bccef14a72e074;hp=803d9f80402ce1dc5e9d4b3830997301c33bbd8f

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gomatebindings.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2gomatebindings
Version: 0.0.1.4
Status: RELEASE
Date: Sun, 20 Nov 2016 07:59:36 +0100
Fixes: 821 822 1067
Changes: 
 x2gomatebindings (0.0.1.4) RELEASED; urgency=low
 .
   [ Mike DePaulo ]
   * New upstream version (0.0.1.4):
     - Fix error when installing from an RPM built from the X2Go
       project's .spec file (Fixes: #821):
       "Error: Package: x2gomatebinding ... Requires: or"
 .
   [ Mihai Moldovan ]
   * New upstream version (0.0.1.4):
     - configure.ac: make GTK version selectable.
   * x2gomatebindings.spec:
     - Add run and build time dependency: filesystem.
     - Only own files, do not blindly own complete (and alien!) directories.
       Fixes: #822.
     - Add missing BuildRequires: and Requires: for file and directory owning.
     - Don't depend on x2goserver-extensions on Fedora/EPEL. Remove once Orion
       makes x2goserver also provide x2goserver-extensions.
     - Fix a typo in if condition.
     - Let Fedora/EPEL depend on x2goserver-extensions again. We're now adding
       our own repositories to the build config.
     - Make *SUSE ignore mate-menus-upstream. A choice is bad in this case,
       leading to a build failure.
     - The last change should have really been for mate-menus-branding, not
       mate-menus.
     - Add dependency upon gnome-icon-theme-symbolic for OpenSuSE Leap 42.1,
       OpenSuSE 13.2 and SLE{S,D} 12.
     - Switch to use -symbolic icons on OpenSUSE 13.2 and 42.1.
     - Prepare GTK library version switching and hardcode GTK 2 for now.
     - Re-add explicit GTK library build dependencies. Run-time dependencies
       should be handled automatically.
     - Switch to GTK 3 for Fedora 25 and up.
     - Don't automatically configure after running autogen.sh.
     - Fix FC conditionals, the macro is called "fedora", not "fedora_version".
       Also catch some non-*SuSE*/-Fedora "edge cases".
     - Break choice by ignoring x2goserver-x2goagent and (build-depending) on
       x2goagent for now.
     - Make *SUSE ignore mate-desktop-gschemas-branding-upstream. A choice is
       bad in this case, leading to a build failure.
   * debian/control:
     - Maintainer change in package: X2Go Developers <x2go-dev@lists.x2go.org>.
     - Whitespace only.
     - Add new build dependencies (should already be fulfilled by base system,
       but who knows...)
     - Replace explicit GTK library dependency with some generated substitution
       variable.
     - Add explicit dependency on bash (for arithmetic operations in
       debian/rules file.)
     - Uploaders: add myself. Also, force a rebuild due to the changed
       versioning.
   * debian/rules:
     - Add per-distro and per-version substitution variable for GTK library
       version selection.
     - Use bash for arithmetic operations, not supported by sh.
     - Fix ifeq call by adding a space character between ifeq and the opening
       parenthesis.
     - If encountering the "unstable" distro version, set it to a fake 9999
       version.
     - Fix Ubuntu versioning override. It's uglier now, but there's no way
       around that.
     - Add explicit "printf-style" debugging, hoping it will actually show up.
     - Drop debugging output (which only leads to failing builds on all
       platforms) and consolidate default values.
     - Don't automatically configure after running autogen.sh.
     - Override "testing" string with a hardcoded version value as well.
     - Fix spelling of GTK package names: "libgtk2.0-bin" and libgtk-3-bin
       instead of "libgtk-2.0-bin" and "libgtk-3.0-bin". Fixes: #1067.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Sun, 20 Nov 2016 14:55:05 GMT) (full text, mbox, link).


Notification sent to Michael DePaulo <mikedep333@gmail.com>:
Bug acknowledged by developer. (Sun, 20 Nov 2016 14:55:05 GMT) (full text, mbox, link).


Message sent on to Michael DePaulo <mikedep333@gmail.com>:
Bug#821. (Sun, 20 Nov 2016 14:55:08 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Mon, 19 Dec 2016 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Apr 20 14:12:46 2021; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.